> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portalhq.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List sub-custodians

> Lists sub-custodians owned by the authenticated reseller. Each
custodian includes environments, users, billing plan, billing status, and
Portal API key metadata.




## OpenAPI

````yaml /openapi/reseller-api.yaml get /resellers/custodians
openapi: 3.1.0
info:
  title: Portal Reseller API
  version: '3.0'
  description: >
    The Portal Reseller API lets approved reseller custodians create and manage

    sub-custodians. Reseller API keys are environment-agnostic and authenticate

    the reseller custodian. Sub-custodian Portal API keys created through this
    API

    are scoped to a specific sub-custodian environment.


    ## Base URL

    `https://api.portalhq.io/api/v3`


    ## Authentication

    Include your Reseller API key as a Bearer token in the `Authorization`
    header

    of every request.
servers:
  - url: https://api.portalhq.io/api/v3
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Sub-Custodians
    description: Create, list, and suspend sub-custodians
  - name: Sub-Custodian Environments
    description: View environments for sub-custodians
  - name: Sub-Custodian API Keys
    description: Create and delete sub-custodian Portal API keys
paths:
  /resellers/custodians:
    get:
      tags:
        - Sub-Custodians
      summary: List sub-custodians
      description: >
        Lists sub-custodians owned by the authenticated reseller. Each

        custodian includes environments, users, billing plan, billing status,
        and

        Portal API key metadata.
      operationId: listSubCustodians
      responses:
        '200':
          description: Sub-custodians retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubCustodiansResponse'
              example:
                custodians:
                  - id: custodian_123
                    name: Acme Payments
                    slug: acme-payments
                    billingStatus: ACTIVE
                    isReseller: false
                    resellerParentId: reseller_custodian_123
                    sessionTokensEnabled: true
                    createdAt: '2026-07-08T18:00:00.000Z'
                    updatedAt: '2026-07-08T18:00:00.000Z'
                    billingPlan:
                      name: Start-Up
                    environments:
                      - id: env_prod_123
                        name: Production
                        createdAt: '2026-07-08T18:00:00.000Z'
                        updatedAt: '2026-07-08T18:00:00.000Z'
                    users:
                      - id: user_123
                        email: admin@acmepayments.com
                        firstName: Avery
                        lastName: Stone
                        createdAt: '2026-07-08T18:00:00.000Z'
                        updatedAt: '2026-07-08T18:00:00.000Z'
                    apiKeys:
                      - id: api_key_123
                        custodianId: custodian_123
                        environmentId: env_prod_123
                        name: Production API key
                        createdAt: '2026-07-08T18:00:00.000Z'
                        updatedAt: '2026-07-08T18:00:00.000Z'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  schemas:
    SubCustodiansResponse:
      type: object
      required:
        - custodians
      properties:
        custodians:
          type: array
          items:
            $ref: '#/components/schemas/SubCustodian'
    SubCustodian:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        billingStatus:
          type: string
          enum:
            - ACTIVE
            - HACKATHON
            - INACTIVE
            - INTERNAL
            - SUSPENDED
            - TRIAL
        isReseller:
          type: boolean
        resellerParentId:
          type: string
          nullable: true
        sessionTokensEnabled:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        billingPlan:
          $ref: '#/components/schemas/BillingPlan'
        environments:
          type: array
          items:
            $ref: '#/components/schemas/Environment'
        users:
          type: array
          items:
            $ref: '#/components/schemas/User'
        apiKeys:
          type: array
          items:
            $ref: '#/components/schemas/SubCustodianApiKeyMetadata'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
    BillingPlan:
      type: object
      properties:
        name:
          type: string
    Environment:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          enum:
            - Development
            - Production
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    User:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
          format: email
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    SubCustodianApiKeyMetadata:
      type: object
      properties:
        id:
          type: string
        custodianId:
          type: string
        environmentId:
          type: string
        name:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  responses:
    Unauthorized:
      description: Unauthorized - invalid or missing Reseller API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      description: >-
        Forbidden - the authenticated custodian is not allowed to perform this
        action
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Reseller API Key
      description: Reseller API key created in the Portal dashboard.

````